Summary:            HTTP::Date - date conversion routines
Name:               zimbra-perl-http-date
Version:            6.02
Release:            1zimbra8.7b1%{?dist}.35
License:            GPL+ or Artistic
Source:             %{name}-%{version}.tar.gz
Packager:           Zimbra Packaging Services <packaging-devel@zimbra.com>
Group:              Development/Languages
BuildRequires:      zimbra-perl-base
Requires:           zimbra-perl-base
AutoReqProv:        no
URL:                https://metacpan.org/release/HTTP-Date

%description
This module provides functions that deal the date formats used by the
HTTP protocol (and then some more). Only the first two functions,
time2str() and str2time(), are exported by default.

%define debug_package %{nil}

%prep
%setup -n HTTP-Date-%{version}

%build
perl -I /opt/zimbra/common/lib/perl5 Makefile.PL INSTALL_BASE=/opt/zimbra/common \
 INSTALLSITEMAN1DIR=/opt/zimbra/common/share/man/man1 INSTALLSITEMAN3DIR=/opt/zimbra/common/share/man/man3 \
 LIB=/opt/zimbra/common/lib/perl5
PERL5LIB=/opt/zimbra/common/lib/perl5 make test

# remove .packlist and perllocal.pod
#  $(DESTINSTALLSITEARCH)/auto/$(FULLEXT)/.packlist
#  $(DESTINSTALLSITEARCH)/perllocal.pod
%define perl_archname %(perl -MConfig -e 'print $Config{archname}')
%install
make install DESTDIR=${RPM_BUILD_ROOT}
rm -rf %{buildroot}/opt/zimbra/common/lib/perl5/%{perl_archname}

%files
%defattr(-,root,root)
/opt/zimbra/common/lib
/opt/zimbra/common/share/man
%changelog
